Windows系统下更新npm和node

首先,检查是否安装了node和npm
在cmd中输入指令:node -vnpm -v。如果没有安装会提示找不到命令,如果安装了会显示安装的版本。

查看npm和node版本

通过上面的命令就可以知道自己的电脑上是否安装过node。

  1. 如果没有安装过node
    可以在 node 的官网nodejs.org去下载 msi 安装包。
    下载Windows的node安装包

node的安装很简单,下载成功后,安装即可。
npm其实是Node的包管理工具,在Node安装的时候顺带装好了。

  1. 如果已经安装过node,需要升级版本
  • 升级npm的版本
    使用命令:npm install -g npm
npm install -g npm  或者 npm install npm -g    /*升级到最新版本*/
npm install npm@latest -g    /*升级到最新版本*/
npm install npm@4.1.2 -g    /*升级到指定版本*/
升级npm到最新版本
  • 升级node的版本
    node官网下载新版本node的 msi 安装包,然后覆盖安装之前的版本来完成更新操作。
    我们在覆盖的时候要检查之前安装 node 的路径,使用命令where node
    查看node的安装路径

也就是说我之前安装在 D:\Program Files\nodejs 文件夹下。覆盖安装和前面讲到的第一次安装方法相同,注意安装路径选择为和之前一样的路径。
安装 node 会同步更新 npm 的版本号,选择了最新的 node 版本,那么 npm 也会更新到最新的版本。

⚠️ 踩坑警告

*关于Windows升级node,流传着使用npm install -g n --force的方法,安装 n 模块,node版本管理工具。
安装n模块:npm install -g n,执行后会报错
尝试使用强制安装命令:npm install -g n --force,看上去似乎成功了

加force

以为可以愉快地使用命令n stable更新node稳定版本了,却提示找不到命令。
force之后输入n stable (因某些原因截图是换了一台电脑的操作)

这是什么情况呢?
其实通过之前的报错提示,也可以略见一斑,提示win32操作系统不支持:

Unsupported platform for n@2.1.4: 
wanted: {"os":"!win32","arch":"any"}
current: {"os":"win32","arch":"x64"}

搜了一下n模块官方提示:
Note: n is not supported natively on Windows. Windows自然情况下是不支持n模块的。
所以出现了上面虽然强制安装了,但是并不支持使用的情况。

以下文章也讨论过这个问题,供参考:
https://blog.csdn.net/u013474104/article/details/52197772
http://www.mamicode.com/info-detail-2283749.html
https://blog.csdn.net/lvhaoguang0/article/details/81743127

推荐阅读更多精彩内容